Package org.apache.calcite.avatica

# Class MetaImpl.MetaProcedure

java.lang.Object
org.apache.calcite.avatica.MetaImpl.MetaProcedure

Enclosing class:
  MetaImpl

public static class MetaImpl.MetaProcedure extends Object
Metadata describing a procedure.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`futureUse1`
`final String`
`futureUse2`
`final String`
`futureUse3`
`final String`
`procedureCat`
`final String`
`procedureName`
`final String`
`procedureSchem`
`final short`
`procedureType`
`final String`
`remarks`
`final String`
`specificName`

## Constructor Summary

Constructors
Constructor
Description
`MetaProcedure(String procedureCat, String procedureSchem, String procedureName, short procedureType, String specificName)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### procedureCat

public final String procedureCat

### procedureSchem

public final String procedureSchem

### procedureName

public final String procedureName

### futureUse1

public final String futureUse1

### futureUse2

public final String futureUse2

### futureUse3

public final String futureUse3

### remarks

public final String remarks

### procedureType

public final short procedureType

### specificName

public final String specificName

## Constructor Details

### MetaProcedure

public MetaProcedure(String procedureCat, String procedureSchem, String procedureName, short procedureType, String specificName)